POST api/batchapi/analysisresult/get?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

GenerateAnalysisLogViewModel
NameDescriptionTypeAdditional information
particle_counter_id

globally unique identifier

None.

batch_id

globally unique identifier

None.

compartment_number

integer

None.

witness_id

globally unique identifier

None.

vet_id

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "particle_counter_id": "63335cfa-6305-43d2-ae9e-9f2a13826e4c",
  "batch_id": "592390ff-4ce8-49c2-9596-2e54e46fd205",
  "compartment_number": 3,
  "witness_id": "c3c5c7e4-be8e-46bd-ab83-c28836054192",
  "vet_id": 1
}

application/xml, text/xml

Sample:
<generate_analysis_log xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <batch_id>592390ff-4ce8-49c2-9596-2e54e46fd205</batch_id>
  <compartment_number>3</compartment_number>
  <particle_counter_id>63335cfa-6305-43d2-ae9e-9f2a13826e4c</particle_counter_id>
  <vet_id>1</vet_id>
  <witness_id>c3c5c7e4-be8e-46bd-ab83-c28836054192</witness_id>
</generate_analysis_log>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'GenerateAnalysisLogViewModel'.

Response Information

Resource Description

AnalysisLogViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

number

integer

None.

date

date

None.

compartment_number

integer

None.

witness_id

globally unique identifier

None.

vet_id

integer

None.

hd_03

integer

None.

hd_05

integer

None.

qlt_03

integer

None.

qlt_05

integer

None.

results

Collection of AnalysisResultViewModel

None.

Response Formats

application/json, text/json

Sample:
{
  "id": "8ad28caf-2cea-4d84-9065-8a29ac36ce90",
  "number": 2,
  "date": "2026-03-07T07:31:55.6373145+00:00",
  "compartment_number": 4,
  "witness_id": "a1b2bec4-4e8e-46b2-a682-44a44488a9ff",
  "vet_id": 1,
  "hd_03": 1,
  "hd_05": 1,
  "qlt_03": 1,
  "qlt_05": 1,
  "results": [
    {
      "id": "b0476e12-8ff4-4a5b-af85-fd0f397f1f31",
      "log_id": "44cde464-5fd6-40a7-adcb-bd45de53d474",
      "analyse_type": 3,
      "line_number": 4,
      "particle_size": 1.1,
      "particle_count": 1
    },
    {
      "id": "b0476e12-8ff4-4a5b-af85-fd0f397f1f31",
      "log_id": "44cde464-5fd6-40a7-adcb-bd45de53d474",
      "analyse_type": 3,
      "line_number": 4,
      "particle_size": 1.1,
      "particle_count": 1
    }
  ]
}

application/xml, text/xml

Sample:
<analysis_log xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <compartment_number>4</compartment_number>
  <date>2026-03-07T07:31:55.6373145+00:00</date>
  <hd_03>1</hd_03>
  <hd_05>1</hd_05>
  <id>8ad28caf-2cea-4d84-9065-8a29ac36ce90</id>
  <number>2</number>
  <qlt_03>1</qlt_03>
  <qlt_05>1</qlt_05>
  <results>
    <analysis_result>
      <analyse_type>3</analyse_type>
      <id>b0476e12-8ff4-4a5b-af85-fd0f397f1f31</id>
      <line_number>4</line_number>
      <log_id>44cde464-5fd6-40a7-adcb-bd45de53d474</log_id>
      <particle_count>1</particle_count>
      <particle_size>1.1</particle_size>
    </analysis_result>
    <analysis_result>
      <analyse_type>3</analyse_type>
      <id>b0476e12-8ff4-4a5b-af85-fd0f397f1f31</id>
      <line_number>4</line_number>
      <log_id>44cde464-5fd6-40a7-adcb-bd45de53d474</log_id>
      <particle_count>1</particle_count>
      <particle_size>1.1</particle_size>
    </analysis_result>
  </results>
  <vet_id>1</vet_id>
  <witness_id>a1b2bec4-4e8e-46b2-a682-44a44488a9ff</witness_id>
</analysis_log>